/* Intel Core2 gmp-mparam.h -- Compiler/machine parameter header file.

Copyright 1991, 1993, 1994, 2000, 2001, 2002 Free Software Foundation, Inc.

This file is part of the GNU MP Library.

The GNU MP Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.

The GNU MP Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA. */

#define BITS_PER_MP_LIMB 64
#define BYTES_PER_MP_LIMB 8

/* 3166 MHz Wolfdale */

/* Generated by tuneup.c, 2008-04-15, gcc 4.1 */

#define MUL_KARATSUBA_THRESHOLD          22
#define MUL_TOOM3_THRESHOLD             137

#define SQR_BASECASE_THRESHOLD            0  /* always (native) */
#define SQR_KARATSUBA_THRESHOLD          38
#define SQR_TOOM3_THRESHOLD             133

#define MULLOW_BASECASE_THRESHOLD         0  /* always */
#define MULLOW_DC_THRESHOLD              52
#define MULLOW_MUL_N_THRESHOLD          507

#define DIV_SB_PREINV_THRESHOLD           0  /* always */
#define DIV_DC_THRESHOLD                 88
#define POWM_THRESHOLD                  128

#define GCD_ACCEL_THRESHOLD               4
#define GCDEXT_THRESHOLD                150
#define JACOBI_BASE_METHOD                1

#define DIVREM_1_NORM_THRESHOLD           0  /* always */
#define DIVREM_1_UNNORM_THRESHOLD         0  /* always */
#define MOD_1_NORM_THRESHOLD              0  /* always */
#define MOD_1_UNNORM_THRESHOLD            0  /* always */
#define USE_PREINV_DIVREM_1               1
#define USE_PREINV_MOD_1                  1
#define DIVREM_2_THRESHOLD                0  /* always */
#define DIVEXACT_1_THRESHOLD              0  /* always */
#define MODEXACT_1_ODD_THRESHOLD          0  /* always (native) */

#define GET_STR_DC_THRESHOLD             12
#define GET_STR_PRECOMPUTE_THRESHOLD     15
#define SET_STR_THRESHOLD              7059

#define MUL_FFT_TABLE  { 496, 992, 2368, 3840, 11264, 28672, 81920, 327680, 786432, 3145728, 12582912, 0 }
#define MUL_FFT_MODF_THRESHOLD          424
#define MUL_FFT_THRESHOLD              2688

#define SQR_FFT_TABLE  { 496, 1120, 2368, 4864, 11264, 28672, 81920, 327680, 786432, 3145728, 12582912, 0 }
#define SQR_FFT_MODF_THRESHOLD          456
#define SQR_FFT_THRESHOLD              2944

